package com.zkqy.system.service;

import com.zkqy.system.entity.MobilePageData;

import java.util.List;


/**
 * 移动端数据Service接口
 * 
 * @author zkqy
 * @date 2024-04-18
 */
public interface IMobilePageDataService 
{
    /**
     * 查询移动端数据
     * 
     * @param id 移动端数据主键
     * @return 移动端数据
     */
    public MobilePageData selectMobilePageDataById(Long id);

    /**
     * 查询移动端数据列表
     * 
     * @param mobilePageData 移动端数据
     * @return 移动端数据集合
     */
    public List<MobilePageData> selectMobilePageDataList(MobilePageData mobilePageData);

    /**
     * 新增移动端数据
     * 
     * @param mobilePageData 移动端数据
     * @return 结果
     */
    public int insertMobilePageData(MobilePageData mobilePageData);

    /**
     * 修改移动端数据
     * 
     * @param mobilePageData 移动端数据
     * @return 结果
     */
    public int updateMobilePageData(MobilePageData mobilePageData);

    /**
     * 批量删除移动端数据
     * 
     * @param ids 需要删除的移动端数据主键集合
     * @return 结果
     */
    public int deleteMobilePageDataByIds(Long[] ids);

    /**
     * 删除移动端数据信息
     * 
     * @param id 移动端数据主键
     * @return 结果
     */
    public int deleteMobilePageDataById(Long id);
}
